﻿// ***********************************************************************
// Assembly         : IDErrorSample
// Author           : Bob Vale
// Created          : 02-16-2017
//
// Last Modified By : Bob Vale
// Last Modified On : 02-16-2017
// ***********************************************************************
// <copyright file="MyViewModel.cs" company="CodingTank Limited">
//     Copyright (c) 2001-2016 Syncfusion. Inc,
// </copyright>
// <summary></summary>
// ***********************************************************************
namespace NumericCore.Models
{
    using System.ComponentModel.DataAnnotations;

    /// <summary>
    /// View Model to demonstrate error
    /// </summary>
    public class MyViewModel
    {

        /// <summary>
        /// Gets or sets the broken string value, this will generate a javascript error
        /// </summary>
        public string Broken { get; set; }

        /// <summary>
        /// Gets or sets the patched string value, this uses the editor template "Workaround" that modifies the id correctly
        /// </summary>
        [UIHint("Workaround")]
        public string Patched { get; set; }
    }
    public class myValue
    {
        public string value { get; set; }
    }
}